variables:
  VERSION: "latest"

default:
  tags:
    - docker
  image: registry.git.rwth-aachen.de/fair-ds/ap-4-2-demonstrator/ap-4.2-data-validation-and-quality-assurance-demonstrator/main:${VERSION}

stages:
  - evaluation
  - report
  - pages

.stage_template:
  before_script:
    - mkdir -p "output"
  artifacts:
    paths:
      - "output"
      - "public"
      - "results.json"
      - "qc_summary.json"
    expire_in: 1 day
    when: always
    reports:
      junit: out/xml_report.xml

evaluate:
  extends: .stage_template
  stage: evaluation
  script:
    - python -m fair_ds_ap42.run_check --log DEBUG

report:
  extends: .stage_template
  stage: report
  script:
    - python -m fair_ds_ap42.build_report --log DEBUG

pages:
  extends: .stage_template
  stage: pages
  dependencies:
    - report
  script:
    - mv -i output public
